GNU bug report logs - #32864
26.1; menus don't work correctly in Mac OS Mojave

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Artemio González López <artemiog@HIDDEN>; merged with #24719; dated Fri, 28 Sep 2018 17:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 24719 32864. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 20 Jun 2019 05:44:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 01:44:37 2019
Received: from localhost ([127.0.0.1]:47737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hdpsC-00064l-Tg
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2019 01:44:37 -0400
Received: from mlsec.cc.okayama-u.ac.jp ([42.127.236.175]:48689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tkk@HIDDEN>) id 1hdps8-00064P-KT
 for 32864 <at> debbugs.gnu.org; Thu, 20 Jun 2019 01:44:35 -0400
Received: from alml002.ouadm.okayama-u.ac.jp (unknown [42.127.236.168]) by
 mlsec.cc.okayama-u.ac.jp with smtp
 id 6423_e3f1_d987bf7f_1ad3_4e2f_a3a8_7eb110cdcc13;
 Thu, 20 Jun 2019 14:44:19 +0900
Received: from localhost (vesta.misasa.okayama-u.ac.jp [150.46.48.154])
 by alml002.ouadm.okayama-u.ac.jp (Postfix) with ESMTPSA id 5B91F4C0CC0;
 Thu, 20 Jun 2019 14:44:10 +0900 (JST)
Date: Thu, 20 Jun 2019 14:44:09 +0900 (JST)
Message-Id: <20190620.144409.2094796488140758978.tkk@HIDDEN>
To: 32864 <at> debbugs.gnu.org
Subject: Re: bug#32864: 26.1; menus don't work correctly in Mac OS Mojave
From: Tak Kunihiro <tkk@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.2
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 11
X-NAI-Spam-Score: 0.5
X-NAI-Spam-Rules: 8 Rules triggered
 SORT_LNK_1HTP_CTPLN=0.2, GEN_SPAM_FEATRE=0.1, 
 SORT_LNK_1HTP_CTPLN_W_GEN_SPAM_FEATRE=0.1, TRK_NCM1=0.1, EDT_SA_AU_PASS=0, 
 EDT_SA_DN_PASS=0, EDT_SA_TS_PASS=0, RV6572=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6572> : inlines <7107> : streams
 <1825009> : uri <2858057>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: tkk@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I think I found workaround to have menu by single click.
Please ignore this message if this does not make sense.

> https://qiita.com/takaxp/items/2a0abaa6e5f1a7a9c440

1. Launch Keychain.app and create a certificate "StrayBuild"
2. sudo codesign --force --deep --sign "StrayBuild" Emacs.app




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 5 Jun 2019 21:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 05 17:27:31 2019
Received: from localhost ([127.0.0.1]:48341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hYdRS-0006hE-Gy
	for submit <at> debbugs.gnu.org; Wed, 05 Jun 2019 17:27:30 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:55174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1hYdRQ-0006gz-ON
 for 32864 <at> debbugs.gnu.org; Wed, 05 Jun 2019 17:27:29 -0400
Received: by mail-wm1-f50.google.com with SMTP id g135so306829wme.4
 for <32864 <at> debbugs.gnu.org>; Wed, 05 Jun 2019 14:27:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=dwehvC3rEqlCeJpZyIf0M/PzuT71eyy7lcF2d/QxDtI=;
 b=pVfcyB+UOBjpGoemNDU9eMmSk3cuxj8SUN6p4u9Sk5bs6Nhks8uUTLRhfQ0+cZLTsp
 86dTD7zBx+ByIFpAINZTQHGtyMV1DsWhxm4EfqveFIV9iik3vyNUpNs/POxPgy3014Gn
 7jrTy7mJisLdA/bkWZotLpfsicNNzNsUgzOCEZoa0sOH4zAc/7ODZe/wlCd7xwWaU/fn
 880qIgV78zorKam91I3reQg1v4AVNmqjRwMGhPdTLqxoDjb0yyfbYsf7/LSNN2s8VcOo
 Wvm5IC/p/ulcNP+cvHc3PlLBDduEty+DCjiktiJd/y+D3J9pr3+hYJTLaP/ozozqEQm8
 dx1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=dwehvC3rEqlCeJpZyIf0M/PzuT71eyy7lcF2d/QxDtI=;
 b=sgcHe1/r0a/6tLIJ2vbxq9fq0O6EJVctBBLkOaiNUx2am6xBbiRU5MTGWwtWB7PECc
 RHDi09Zu9djFN45h9zFr+SYPv93NRQZY/pUYsZUGJ+UA3NK8w1zyl98frlSOGsWQ7tvw
 ovVtrWvltkahtZaDlUh24Xfcfe2IhYUst/+F14mxov8FeFnEwPZEEK1cqsjYjoSZqvOy
 G/rFtsdYqVgu64rBW01FXduvJMZwUuRYOPtoN1w0DxuG2aDm4RS4PbHFmZQ/fZlTOhaf
 6QkrjaimDDp+/NtWjR88ZW4ZfP9ZO8z3APWMUg52X7Hg2ykr/vwdsTpdL8+UilgcbhDK
 01RA==
X-Gm-Message-State: APjAAAXnEKCDEjliwRnmVUEoZvisnfmNK4jD5+DMkPJm/15wEMBu4JJ+
 WY12clKN/a7qZEBuPG2E3xY=
X-Google-Smtp-Source: APXvYqx92kfsWWthkY9MjP/ftd3MGqN79FlXqfjiFjFBHwoQoLXa9+aEwfq+a0cwpvC20aadEZ62Wg==
X-Received: by 2002:a1c:808b:: with SMTP id
 b133mr11135682wmd.160.1559770042549; 
 Wed, 05 Jun 2019 14:27:22 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-f5f8-805d-6999-41dd.holly.idiocy.org.
 [2001:8b0:3f8:8129:f5f8:805d:6999:41dd])
 by smtp.gmail.com with ESMTPSA id c16sm7206717wrr.53.2019.06.05.14.27.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 05 Jun 2019 14:27:21 -0700 (PDT)
Date: Wed, 5 Jun 2019 22:27:19 +0100
From: Alan Third <alan@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20190605212719.GA39840@HIDDEN>
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
 <20190604164446.GB23349@HIDDEN>
 <D1E3B365-311D-4662-B286-4610950B1320@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <D1E3B365-311D-4662-B286-4610950B1320@HIDDEN>
User-Agent: Mutt/1.12.0 (2019-05-25)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: Robert Pluim <rpluim@HIDDEN>, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, artemiog@HIDDEN,
 YAMAMOTO Mitsuharu <mituharu@HIDDEN>, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Jun 04, 2019 at 11:08:10PM +0200, Mattias Engdegård wrote:
> 4 juni 2019 kl. 18.44 skrev Alan Third <alan@HIDDEN>:
> > 
> > It may also be the case that Emacs can try to run the event loop from
> > within elisp code as a matter of course.
> 
> I'm no Cocoa expert, but the docs explicitly state that recursively entering an event loop from an event handler is allowed.

Unfortunately I too am no expert. Perhaps I’ve misunderstood what was
going on.

> > The other solution I found is to rebuild the menu completely whenever
> > lisp updates it. This is simple enough to do but rebuilding the menus
> > takes something like 40‐70ms every time, as opposed to 1‐2ms to just
> > rebuild the top level, and it can do it up to three times per
> > keypress. I think it may also do it sometimes while scrolling. It
> > didn’t seem like a good idea to me. On the other hand I don’t remember
> > actually having much trouble with it.
> 
> Is the entire menu rebuilt every time some part of it changes, or
> are the changes segregated by drop-down menu? The Buffers menu
> probably sees a lot of traffic; it seems to be updated from
> menu-bar-update-hook, which fires a lot, even though most of the
> time the buffer list doesn't actually change.

IIRC set_frame_menubar is called with deep_p set to false and this
calls ns_update_menubar just recreating the top level.

When you click on a menu it does all the stuff you described
previously which ends up running ns_update_menubar with deep_p set to
true and this rebuilds the menu that was clicked on. I think. I don’t
think it rebuilds all menus.

> > If anyone has any other ideas I’d be happy to hear them.
> 
> The emacs-mac port, which seems to be an AppKit/Carbon hybrid (?),
> does not exhibit this menu glitch. I'm not sure exactly how it does
> this, but the general approach looks roughly similar. Maybe we could
> ask its author for advice.

Seems like a good idea.

Yamamoto‐san, I hope it’s OK to pull you into this discussion. Do you
have any thoughts on the issue described in:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32864#38

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 4 Jun 2019 21:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 17:08:23 2019
Received: from localhost ([127.0.0.1]:45887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hYGfO-0006C9-TS
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2019 17:08:23 -0400
Received: from mail1423c50.megamailservers.eu ([91.136.14.23]:58010
 helo=mail102c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1hYGfM-0006Bv-II
 for 32864 <at> debbugs.gnu.org; Tue, 04 Jun 2019 17:08:21 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1559682493;
 bh=d9hHBYCAtkzt8NJ/7wNMmjZwsZgxfbVUicRC1+hmiGA=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=TM+TCqwXVoj/tyrjpzO6EM6K6vjLuEt1IrPlM6amteCWX7B1JTHOwsdEGcq+EOFjG
 Z0keTTBnkPdfiRS64rDZaqBdZhmBsOz8z/Xgx3uLiolud+ZFcET+zTu7FkKWMUrQ3Z
 X5IfkOJSWncMs0UYOnOtmfG5DMuLhQTa7/HtxE8M=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.1.65] (c-e636e253.032-75-73746f71.bbcust.telenor.se
 [83.226.54.230]) (authenticated bits=0)
 by mail102c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x54L8ABl012671; 
 Tue, 4 Jun 2019 21:08:11 +0000
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <20190604164446.GB23349@HIDDEN>
Date: Tue, 4 Jun 2019 23:08:10 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <D1E3B365-311D-4662-B286-4610950B1320@HIDDEN>
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
 <20190604164446.GB23349@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.11)
X-CTCH-RefID: str=0001.0A0B0204.5CF6DDBD.002B, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=F7x5iJpN c=1 sm=1 tr=0 a=M+GU/qJco4WXjv8D6jB2IA==:117
 a=M+GU/qJco4WXjv8D6jB2IA==:17 a=jpOVt7BSZ2e4Z31A5e1TngXxSK0=:19
 a=IkcTkHD0fZMA:10 a=hIj89exaAAAA:8 a=4La5qBafUtIiI1-Kc-YA:9
 a=QEXdDO2ut3YA:10 a=lS9wXHQM5UdnNJ4u63Ry:22
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 32864
Cc: artemiog@HIDDEN, Robert Pluim <rpluim@HIDDEN>, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

4 juni 2019 kl. 18.44 skrev Alan Third <alan@HIDDEN>:
>=20
> It may also be the case that Emacs can try to run the event loop from
> within elisp code as a matter of course.

I'm no Cocoa expert, but the docs explicitly state that recursively =
entering an event loop from an event handler is allowed.

> The other solution I found is to rebuild the menu completely whenever
> lisp updates it. This is simple enough to do but rebuilding the menus
> takes something like 40=E2=80=9070ms every time, as opposed to 1=E2=80=90=
2ms to just
> rebuild the top level, and it can do it up to three times per
> keypress. I think it may also do it sometimes while scrolling. It
> didn=E2=80=99t seem like a good idea to me. On the other hand I =
don=E2=80=99t remember
> actually having much trouble with it.

Is the entire menu rebuilt every time some part of it changes, or are =
the changes segregated by drop-down menu?
The Buffers menu probably sees a lot of traffic; it seems to be updated =
from menu-bar-update-hook, which fires a lot, even though most of the =
time the buffer list doesn't actually change.

It's probably a bad idea to add a latency of 40-70 ms several times per =
key press in any case.

> If anyone has any other ideas I=E2=80=99d be happy to hear them.

The emacs-mac port, which seems to be an AppKit/Carbon hybrid (?), does =
not exhibit this menu glitch. I'm not sure exactly how it does this, but =
the general approach looks roughly similar. Maybe we could ask its =
author for advice.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 4 Jun 2019 16:53:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 12:53:22 2019
Received: from localhost ([127.0.0.1]:45711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hYCgc-0005Xw-Do
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2019 12:53:22 -0400
Received: from mail-it1-f178.google.com ([209.85.166.178]:54996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hYCgY-0005Xg-BC
 for 32864 <at> debbugs.gnu.org; Tue, 04 Jun 2019 12:53:18 -0400
Received: by mail-it1-f178.google.com with SMTP id h20so1233528itk.4
 for <32864 <at> debbugs.gnu.org>; Tue, 04 Jun 2019 09:53:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=EH1048h9w8k01HX3SF4+0KiX1avIVt7wv1oBRgep9i0=;
 b=H7W2Pf0vt8MnzM23p4Gqqkhlr9bHzcOLXEfKDKu9Q5wsEKzFnkitUO/p3dVKWWUQAX
 jS/tD/LX9+t1Jfx9RHsKMpAIcp1AMFh0pduV2wiJBcufSwC4kQvCslwq7OpuRkdItqs/
 th3PxZcBf/LbKvVIIdqXx5w81/Z9ygMELstkGlCFQ4q5HUyBpH4k6WiRmoQmxQnkZnnD
 ad0LQNRzy1CpfBTCA1PRkdYRC6RdrpeudcG9oJa6gIBdWpMcDb9dKlkW+JzrG5SpXNT2
 TfuZKhdIhGbbyH8KQS02BKCKTEqfI4b8YggsbGcr0XHBSGa/aSnUK6qcX0CegWehUVml
 xldg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=EH1048h9w8k01HX3SF4+0KiX1avIVt7wv1oBRgep9i0=;
 b=SCNbifcBj8yCdPoqXGNnXie61O6bE/9jzxM6A2DHD+Iz6HXBxtCDpabDSkZBBo0qfK
 KaKwT2g2BwVL5kUn127A29IviyluGxNvsmDaVdlHyy1tmTvihowxO/rXllugqDlNPPhl
 5oYn2bnbP8e8VUbDlWs8Jl5o6glBbOzCX/lTV1izS+MV4+dOq+9mNq/h/ZACWncpaPCx
 n7tpl8+s9PvTqHvemcRIekbrIWJsZNwxRC8Wst0X6yIit+XbCzFndrB2hbleVSFnNbf1
 Eim7voezsCkJtVlgVF906BMxOk/kQFttxXKrt3Mi+WFCKu9fBTXr9+dfX6qEMGR5PLCr
 QAhw==
X-Gm-Message-State: APjAAAXcY6U9pU7COR2JttXqMtx9rSL9EZsaYJVg/lp9/zvLZsoimxXI
 05K1iECcQBPmDO/zNgvb3qQ=
X-Google-Smtp-Source: APXvYqxXKVtf8WHlo/UEoixrDaC+DeuxtNIhNKcea6+cdpUnobElmqlwZCs0NtsgNGkH1OiZzuhoDQ==
X-Received: by 2002:a24:19cd:: with SMTP id b196mr23293693itb.74.1559667192490; 
 Tue, 04 Jun 2019 09:53:12 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id u26sm6264129iol.1.2019.06.04.09.53.11
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 04 Jun 2019 09:53:11 -0700 (PDT)
From: npostavs@HIDDEN
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
 <20190604164446.GB23349@HIDDEN>
Date: Tue, 04 Jun 2019 12:53:10 -0400
In-Reply-To: <20190604164446.GB23349@HIDDEN> (Alan Third's
 message of "Tue, 4 Jun 2019 17:44:46 +0100")
Message-ID: <85o93db8cp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=gb2312
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, artemiog@HIDDEN, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> Elisp code doesn=A1=AFt guarantee it will return, it can longjmp when you
> hit C-g, for example. This means you can end up with the application
> attempting to run the event loop while it is still INSIDE the previous
> event loop, and the toolkit really doesn=A1=AFt like that. It will, in
> fact, kill Emacs on the spot.

> If anyone has any other ideas I=A1=AFd be happy to hear them.

Would using safe_call be enough to allow calling Elisp in this
situation?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 4 Jun 2019 16:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 12:44:58 2019
Received: from localhost ([127.0.0.1]:45701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hYCYU-0005JL-F9
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2019 12:44:58 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:37983)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1hYCYS-0005J3-8t
 for 32864 <at> debbugs.gnu.org; Tue, 04 Jun 2019 12:44:56 -0400
Received: by mail-wr1-f45.google.com with SMTP id d18so16566175wrs.5
 for <32864 <at> debbugs.gnu.org>; Tue, 04 Jun 2019 09:44:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=9AyaXPL6whjEVa1shO0kAkeP/O7EfOhm2+iTg7waT08=;
 b=RE+nZnGaAPJgjOS4qZE+JzqlqK92N764dyjfPApAISszymWQnqt9s9QtW/M6AaXp+v
 FGLi/Ryx177o6MrkxOWrwx8vAgn3XSCeksqN0C+IamZ5TAoLYYIYQiVKpdNAyDW99wVx
 foAEmkla3EqHDwW4cARWRjBNyVbrST3svY9piqia7ByU7Z0N8NFUjHblk9niVdVqtdSd
 F5aYy1jQ0Q7wsJLJn41xG+wja+nZtkT7PNxqTa2VKYFmROb6MBmN/Wfr/eVxG2MWtii4
 CsXMNSNFzUDMNnDmYJ1U8Qp45bbIDDP/HiWsoGx7DF1ZtZ0Px85iCWtwQwSQn0XhdV18
 Vhlw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=9AyaXPL6whjEVa1shO0kAkeP/O7EfOhm2+iTg7waT08=;
 b=F/MdAWqulqxbZCnsH8mkGgRfTGLNDKtvglBElDfV/RnPLHgC5rK6q1MoZDWsYnZBLs
 5BsGrFbQsjxHUCuh3jgHXhgpQtm3I1u3AdqveNEU3hPtJmZTJaeP6XejXaOjwqUbaFK7
 BEWrgohm+17Wrm0IEopdA42pHibWRjlJnIZb8BZW0YE1YWHzm2AqkP9ZTvhF2YOJ79QB
 Eucp9VlRawsmKvPosBwbe2HlBjk3byx9IbbV76P/5SzRW/6NJPHp0Dc/pxIAI/oJt/Mn
 xxS6Y3lAoXxkRcsGbJYoYrDS0Zk9ZBYJDodHvFxm5gj0t2ycdfDyaAjH2+26jgdcnOIE
 rf+Q==
X-Gm-Message-State: APjAAAVAyU972DYlAp5CLIOpCWn1ZzSkUOj1y8rnL37x8g4JNKCmcvde
 uyM3t/EL1YoAZodW/J8/2LM=
X-Google-Smtp-Source: APXvYqx53RPXSXCCqSF8GsHgbwEqiOCeo9PG1C16/iosZDowYj/ZdGYBrH5G+gM3idSBi+0/dvkD3Q==
X-Received: by 2002:a5d:5702:: with SMTP id a2mr5571356wrv.89.1559666689841;
 Tue, 04 Jun 2019 09:44:49 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-9466-ad51-3729-a6b8.holly.idiocy.org.
 [2001:8b0:3f8:8129:9466:ad51:3729:a6b8])
 by smtp.gmail.com with ESMTPSA id j123sm27151847wmb.32.2019.06.04.09.44.48
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 04 Jun 2019 09:44:48 -0700 (PDT)
Date: Tue, 4 Jun 2019 17:44:46 +0100
From: Alan Third <alan@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20190604164446.GB23349@HIDDEN>
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
User-Agent: Mutt/1.12.0 (2019-05-25)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: artemiog@HIDDEN, Robert Pluim <rpluim@HIDDEN>, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Jun 03, 2019 at 07:25:27PM +0200, Mattias Engdegård wrote:
> 
> So why does Emacs do this to begin with? Because the menu contents
> are generated dynamically from elisp code each time. The standard
> way to do this in Cocoa is to implement menuNeedsUpdate:, but this
> requires running arbitrary elisp code inside the event loop, which
> is undesirable for some reason.
> 
> The workarounds mentioned involved adding Emacs to some sort of
> whitelist for legacy applications, but this cannot be a solution.
> The synthetic mouse click hack must go away.
> 
> Could someone explain why, exactly, elisp code cannot be run inside
> the event loop? An alternative would be to run elisp code in a
> different thread, and let menuNeedsUpdate: block until the menu has
> been updated. I'm not sure what the difference would be.

Elisp code doesn’t guarantee it will return, it can longjmp when you
hit C-g, for example. This means you can end up with the application
attempting to run the event loop while it is still INSIDE the previous
event loop, and the toolkit really doesn’t like that. It will, in
fact, kill Emacs on the spot.

It may also be the case that Emacs can try to run the event loop from
within elisp code as a matter of course.

Quite simply we’re, as you said, not able to handle running elisp from
within the NS event loop.

I’m not sure why it was written this way originally, I believe the NS
port is some twenty five years old now and I’ve only been working on
Emacs for three.

The best solution is, as you said, to separate the lisp and toolkit
calls into separate threads, but unfortunately it’s not a straight
forward job. I want to do it anyway as there are other benefits, but
it won’t be happening soon unless someone else wants to pick it up.

The other solution I found is to rebuild the menu completely whenever
lisp updates it. This is simple enough to do but rebuilding the menus
takes something like 40‐70ms every time, as opposed to 1‐2ms to just
rebuild the top level, and it can do it up to three times per
keypress. I think it may also do it sometimes while scrolling. It
didn’t seem like a good idea to me. On the other hand I don’t remember
actually having much trouble with it.

If anyone has any other ideas I’d be happy to hear them.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 3 Jun 2019 18:52:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 03 14:52:11 2019
Received: from localhost ([127.0.0.1]:43123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hXs42-00070p-TS
	for submit <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:52:11 -0400
Received: from mail221c50.megamailservers.eu ([91.136.10.231]:38772
 helo=mail33c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1hXs3z-00070e-EB
 for 32864 <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:52:08 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1559587925;
 bh=PZo00QKwTmOKsLPPAS6gNkWMVwausNGqLIDcrUoPFuQ=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=bDSeJCckeWIrfjnySw1gHR1FzQEDwuyG4qf369VuWRSNTr66T/vsN8Fimmgk/B4EX
 iyD0/NPHwjyozDf990G6EGn6csDrLmqEvecbex4AE5DdVJpfW4JPrLvECn/qydbF68
 rNgC9eZ84yP8C74+PoKeck4TKVWWWQMuBUTUnEqM=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.1.65] (c-e636e253.032-75-73746f71.bbcust.telenor.se
 [83.226.54.230]) (authenticated bits=0)
 by mail33c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x53Iq0co022401; 
 Mon, 3 Jun 2019 18:52:02 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <83ftoqttsa.fsf@HIDDEN>
Date: Mon, 3 Jun 2019 20:52:00 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <96C1164E-F9CF-4FC8-8BC4-A0C4237DD3E1@HIDDEN>
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN> <83ftoqttsa.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.11)
X-CTCH-RefID: str=0001.0A0B0206.5CF56C55.0025, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=F/95iJpN c=1 sm=1 tr=0 a=M+GU/qJco4WXjv8D6jB2IA==:117
 a=M+GU/qJco4WXjv8D6jB2IA==:17 a=jpOVt7BSZ2e4Z31A5e1TngXxSK0=:19
 a=kj9zAlcOel0A:10 a=mDV3o1hIAAAA:8 a=vK7D5TUbpD1H0pRBmLIA:9
 a=CjuIK1q_8ugA:10 a=_FVE-zBwftR9WsbkzFJk:22
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 32864
Cc: alan@HIDDEN, rpluim@HIDDEN, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, artemiog@HIDDEN, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

3 juni 2019 kl. 20.20 skrev Eli Zaretskii <eliz@HIDDEN>:
>>=20
>> Could someone explain why, exactly, elisp code cannot be run inside
>> the event loop?
>=20
> Because it's a different thread from the main one, where we run Lisp?
> (I know nothing about macOS, so apologies if this makes no sense.)

I thought so at first, but some printf debugging indicated that the main =
thread runs both lisp and the event loop. Perhaps there are =
circumstances where this isn't true.

Most likely the fake-menu-click system was inherited from the X11 =
back-end.
However, the win32 back-end seems to use distinct threads for lisp and =
event handling, perhaps out of necessity.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 3 Jun 2019 18:20:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 03 14:20:57 2019
Received: from localhost ([127.0.0.1]:43034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hXrZo-0001nd-Pb
	for submit <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:20:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hXrZn-0001nO-86
 for 32864 <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:20:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50405)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hXrZh-0005K7-F4; Mon, 03 Jun 2019 14:20:49 -0400
Received: from [176.228.60.248] (port=4042 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hXrZg-0001b5-Rf; Mon, 03 Jun 2019 14:20:49 -0400
Date: Mon, 03 Jun 2019 21:20:37 +0300
Message-Id: <83ftoqttsa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-reply-to: <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Mon, 3 Jun 2019 19:25:27 +0200)
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
 <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32864
Cc: alan@HIDDEN, rpluim@HIDDEN, omari@HIDDEN,
 32864 <at> debbugs.gnu.org, artemiog@HIDDEN, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Mon, 3 Jun 2019 19:25:27 +0200
> Cc: alan@HIDDEN, omari@HIDDEN, artemiog@HIDDEN,
> 	Robert Pluim <rpluim@HIDDEN>, simon@HIDDEN
> 
> Could someone explain why, exactly, elisp code cannot be run inside
> the event loop?

Because it's a different thread from the main one, where we run Lisp?
(I know nothing about macOS, so apologies if this makes no sense.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 3 Jun 2019 17:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 03 13:25:37 2019
Received: from localhost ([127.0.0.1]:42987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hXqiG-0006dt-PY
	for submit <at> debbugs.gnu.org; Mon, 03 Jun 2019 13:25:37 -0400
Received: from mail200c50.megamailservers.eu ([91.136.10.210]:50270
 helo=mail193c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1hXqiC-0006di-T1
 for 32864 <at> debbugs.gnu.org; Mon, 03 Jun 2019 13:25:34 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1559582730;
 bh=xpIFkg9Yj6U+aQqCd3XLmirkrpVYkX6Jur9eOXJ5ZP0=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=sxyk1T9Iz5w068n2vBpHlP+fUXGT0/r8k+fKNyAvDgewAgyo+Jkf5mzS1/gGd+Ja4
 ImqmjHk4T0KuXLH9hiZayPRH9Dd/GyW5bW1asniA6MWWKAypuQlDglKoc1qprMzoNe
 0X7vIBFCTupcZxGyVhVtJdZO28HXxaVppNdy3glA=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.1.65] (c-e636e253.032-75-73746f71.bbcust.telenor.se
 [83.226.54.230]) (authenticated bits=0)
 by mail193c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x53HPRRY004044; 
 Mon, 3 Jun 2019 17:25:29 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave 
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
Date: Mon, 3 Jun 2019 19:25:27 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <D0EB3A93-A4C2-400B-A01B-8A240AA1ABF7@HIDDEN>
References: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
To: 32864 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3445.104.11)
X-CTCH-RefID: str=0001.0A0B0204.5CF5580A.005E, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=PM8hB8iC c=1 sm=1 tr=0 a=M+GU/qJco4WXjv8D6jB2IA==:117
 a=M+GU/qJco4WXjv8D6jB2IA==:17 a=jpOVt7BSZ2e4Z31A5e1TngXxSK0=:19
 a=kj9zAlcOel0A:10 a=ArORotC-kKlxFLxh8LIA:9 a=CjuIK1q_8ugA:10
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 32864
Cc: alan@HIDDEN, omari@HIDDEN, artemiog@HIDDEN,
 Robert Pluim <rpluim@HIDDEN>, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Bug explained:

When the user clicks on the menu bar, Emacs receives a menuWillOpen: =
message, and immediately cancels the menu by sending cancelTracking. It =
then returns from the event loop to rebuild the menu, but first =
synthesises a mouse click on the menu bar in the hope that this will =
make the menu actually open.

In MacOS Mojave, synthetic mouse events are blocked for security =
reasons, so this no longer works; the synthetic click is discarded and =
the menu doesn't open. When the user clicks on the menu bar a second =
time, Emacs believes it's the synthetic click that was acted upon and =
happily allows the menu to open.

So why does Emacs do this to begin with? Because the menu contents are =
generated dynamically from elisp code each time. The standard way to do =
this in Cocoa is to implement menuNeedsUpdate:, but this requires =
running arbitrary elisp code inside the event loop, which is undesirable =
for some reason.

The workarounds mentioned involved adding Emacs to some sort of =
whitelist for legacy applications, but this cannot be a solution. The =
synthetic mouse click hack must go away.

Could someone explain why, exactly, elisp code cannot be run inside the =
event loop? An alternative would be to run elisp code in a different =
thread, and let menuNeedsUpdate: block until the menu has been updated. =
I'm not sure what the difference would be.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 28 May 2019 18:32:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 14:32:10 2019
Received: from localhost ([127.0.0.1]:57097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVgtO-0002Sp-LQ
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 14:32:10 -0400
Received: from mail1432c50.megamailservers.eu ([91.136.14.32]:58598
 helo=mail118c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1hVgtL-0002SM-VV
 for 32864 <at> debbugs.gnu.org; Tue, 28 May 2019 14:32:09 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1559068321;
 bh=pHtLA2yHxJR5UVGQONEgtqW6eN1FSF0nGmzG88UGE9o=;
 h=From:Subject:Date:Cc:To:From;
 b=ffmU45pphYKFK58h3nIGJVm+qVhVsz4F2DpFYBnHPi5novOgn4XtpjwaH4MxUX05j
 BjGTHEw9YLAuvve2DzYHSkdjCjbHgBlVyuP2ka+HrktzelhvLYuh1N3Xf9BiygTdEL
 sG36BjIo4kMoTqZ7x0w3mi3cRowFtlXU6HnxkiR8=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.1.65] (c-e636e253.032-75-73746f71.bbcust.telenor.se
 [83.226.54.230]) (authenticated bits=0)
 by mail118c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id x4SIVvo5010241; 
 Tue, 28 May 2019 18:31:59 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave 
Message-Id: <E3B9991D-F932-475A-AB80-BF2C3FCFA677@HIDDEN>
Date: Tue, 28 May 2019 20:31:57 +0200
To: 32864 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3445.104.11)
X-CTCH-RefID: str=0001.0A0B0204.5CED7EA0.004D, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=PfPReBpd c=1 sm=1 tr=0 a=M+GU/qJco4WXjv8D6jB2IA==:117
 a=M+GU/qJco4WXjv8D6jB2IA==:17 a=kj9zAlcOel0A:10 a=xvlSTxea12XQKeG-jOQA:9
 a=CjuIK1q_8ugA:10
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 32864
Cc: alan@HIDDEN, omari@HIDDEN, artemiog@HIDDEN,
 Robert Pluim <rpluim@HIDDEN>, simon@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Confirmed in 27.0 (master), built and run on Mojave (10.14.5).

The erroneous behaviour is there even if Emacs is started from a shell. =
Very annoying.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 12 Feb 2019 10:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 05:00:30 2019
Received: from localhost ([127.0.0.1]:44432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtUrd-0002ZY-RC
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 05:00:30 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:45725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gtUrb-0002ZF-Ea
 for 32864 <at> debbugs.gnu.org; Tue, 12 Feb 2019 05:00:27 -0500
Received: by mail-wr1-f50.google.com with SMTP id w17so1913144wrn.12
 for <32864 <at> debbugs.gnu.org>; Tue, 12 Feb 2019 02:00:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=V6+ERn1i6w6mNhxxFRlYXrt9C+aAMIjPxaGmFYzAJ3I=;
 b=tHzz0xdhXmhp3T5osimumNAXJ1+Wjhtfy9ghe5xoYwuC1sbJKTkF8m376HwnMvPzSk
 +CkeLT/ifpouEolph803L1it/Uds4Gz2TuDIdpUB6c2sP31tzC3kaBa/srYa9FCWje/C
 78Ct+D/Jz4u8DBddy4F2uYrXk5ZFkJEf6k+IJv1/hw6xSqaRSoW8JzAB6wbk3kmuBL8w
 yAC0MD5RYRgrtjkdMHUVoN8PsvcJogg02vtbEzyIiMYEPPQYdn6vVQmIkg66wRWJvgXX
 szRitpYzRAJ7s+ftyTLGXnwU8uN044zbLqC4a8W11yWi5tsXUGtdacMAK8q8OHUj+eqF
 vk3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=V6+ERn1i6w6mNhxxFRlYXrt9C+aAMIjPxaGmFYzAJ3I=;
 b=PF3e5Xt8yJ7ssZBt3qYjW+YANALv2f+pTS54keqRmsdXPQQIdVl5z++k9DDirQZhGQ
 Q6/nhqzET2NCsK8nmFdsfjb7bjyqnjWGqXkayjdPNytxsVp+pfPLyHF0qqTOmcNu+q4v
 AkZJvYMMs/BMPHjwx95K0Za5UQMF9bMLXKoGbUtUHfIdp/DUKIvJ4YgKEC7f9kp95n6t
 FLXc3dspD6DlU55C+2OT6uL5r6QyIvaKtSWBXcwt/FIUo08vpJZAHNhGRJG8On1S16hc
 j1BydFOu+KZW4dyHUCxn7zdBzst0+KdvGJ7otlWRuq0AKvIbC7/uToOvrjo5wpkZHsL6
 UZlw==
X-Gm-Message-State: AHQUAua85TZO7bOJcfTFoJ/NERXhMlwndIA8NwIoFCPnvw8rKh/9izoA
 58GYWvgoWe5zXffGadfyKVTjixYtzU0=
X-Google-Smtp-Source: AHgI3IZEzPZxlC19bDXe8VTG8bS0jxA7o/sHa/lvJc0V61D2DOZjDHZzGAs+iQMdyxn0bBAOBTjUeg==
X-Received: by 2002:adf:f3d0:: with SMTP id g16mr2155945wrp.29.1549965620856; 
 Tue, 12 Feb 2019 02:00:20 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id y18sm1188148wmi.5.2019.02.12.02.00.19
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 12 Feb 2019 02:00:20 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
 <1549613735638-0.post@HIDDEN>
 <20190211222128.GA24425@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 12 Feb 2019 11:00:19 +0100
In-Reply-To: <20190211222128.GA24425@HIDDEN> (Alan Third's
 message of "Mon, 11 Feb 2019 22:21:28 +0000")
Message-ID: <m25ztpe37w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org, simonjgeorge <simon@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> On Fri, Feb 08, 2019 at 01:15:35AM -0700, simonjgeorge wrote:
>> Interestingly this bug disappears when you enable Emacs in Accessibility
>> under Security and Privacy in System Preferences.
>
> That=E2=80=99s interesting. I wonder if Emacs is using some accessibility=
 API
> to do its menu opening deferral.

This is emacs-26.1 built on 10.10, but running on 10.14, right? I
don=CA=BCt see such problems with my built on 10.14 26.1 (and I don=CA=BCt =
have
Emacs in the Accessibility settings).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 11 Feb 2019 22:21:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 17:21:39 2019
Received: from localhost ([127.0.0.1]:44205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtJxL-0007TW-8y
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:21:39 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:36056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1gtJxJ-0007TI-3Q
 for 32864 <at> debbugs.gnu.org; Mon, 11 Feb 2019 17:21:38 -0500
Received: by mail-wr1-f47.google.com with SMTP id o17so551554wrw.3
 for <32864 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 14:21:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=iM0eTR2P/kI9a8Q9KWXqD2BNuwliA6La5ViAb03UHIY=;
 b=EnIqccW4umb5oY0vPtHeDaOcoalkCwMGimHYnzoFsqeGAF0YATRGhEesuaEOCateQj
 SSfM24Ng3pbUKqI+in3afuiJhf8PxKr6Ttw7SWs7N5/TeOy+EFeji/F1wP+y28jzDKC6
 /1zKfvVQZltjaEVk+u3fH+a/3QOIaAoa4UADAI6jPVm27DaPu27Y4S7N6MxBaWd/YKnJ
 QjIEsKc2W7m5Ndq/YInTbJnhEKrIYD2OamslLIwrdGal5ei5Qik/SBR0+NcH4B7FbetL
 5c12iKrdfNAEoHzDN2CacLlwx7jQ1ysQuaBhzbn+0jWd2L6bivUsKgIKkQ+wh/KtunV+
 wtYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=iM0eTR2P/kI9a8Q9KWXqD2BNuwliA6La5ViAb03UHIY=;
 b=IDFcZUNfwGfvdBBmMrigjQY/46Jpk6jQVFkp+2fQ0V3r11v5coMR3V7fkNkU4UjBek
 EBs9bMWcwAu/mvOKFgJ177djn2nPrtrcmS5R7xK7Z+2p1J/AclRuJClu9YNCB/dWb+Kz
 F6QIjQdSJECLgbXb25B9x5hom/NEs0O7yh1cshMVRbgAz2cQfRRSH5fZE0j1aUw3XNaY
 FzOU8YIhBex3gyY6jAbZbRGpOYdXIhhYfp3oNMvkktiS3BABU2CwMnfhRxQK3DbeHAPX
 udvUadpXvcuEcsNyU1c4LBlLJlW4SczmHl3fH7OOE63vXTeS0b0BvsMXcA5bUqm9VoZn
 /DxQ==
X-Gm-Message-State: AHQUAuaSERwXno+8I6EWKmYdKVSZ4BQpXqhYS7CWHeeHl1lXgAjkJAcw
 dQ5WnV4vKalrpuAFICI/pA85eIKh
X-Google-Smtp-Source: AHgI3IZEzAVx9wXo7gBR8GvZPSj9bZQCkisNpXDf/w3JZgxdTlyZuY2w8tV3BYYj7GPCCilcKLgZXQ==
X-Received: by 2002:adf:ec8f:: with SMTP id z15mr325457wrn.290.1549923691190; 
 Mon, 11 Feb 2019 14:21:31 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-9925-9e31-b86c-45ad.holly.idiocy.org.
 [2001:8b0:3f8:8129:9925:9e31:b86c:45ad])
 by smtp.gmail.com with ESMTPSA id h142sm772564wme.33.2019.02.11.14.21.30
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 11 Feb 2019 14:21:30 -0800 (PST)
Date: Mon, 11 Feb 2019 22:21:28 +0000
From: Alan Third <alan@HIDDEN>
To: simonjgeorge <simon@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20190211222128.GA24425@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
 <1549613735638-0.post@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <1549613735638-0.post@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Feb 08, 2019 at 01:15:35AM -0700, simonjgeorge wrote:
> Interestingly this bug disappears when you enable Emacs in Accessibility
> under Security and Privacy in System Preferences.

That’s interesting. I wonder if Emacs is using some accessibility API
to do its menu opening deferral.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Feb 2019 15:40:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 10:40:28 2019
Received: from localhost ([127.0.0.1]:40059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gs8GS-0000dj-Bc
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2019 10:40:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon@HIDDEN>) id 1gs1K9-0004GT-J5
 for submit <at> debbugs.gnu.org; Fri, 08 Feb 2019 03:15:49 -0500
Received: from lists.gnu.org ([209.51.188.17]:59319)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <simon@HIDDEN>)
 id 1gs1K3-0003er-GX
 for submit <at> debbugs.gnu.org; Fri, 08 Feb 2019 03:15:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60378)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <simon@HIDDEN>) id 1gs1K2-0003Ez-Jy
 for Bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2019 03:15:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50, URIBL_BLOCKED,
 URI_HEX autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <simon@HIDDEN>) id 1gs1K0-0003dn-Mz
 for Bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2019 03:15:42 -0500
Received: from n8.nabble.com ([162.253.133.72]:63925)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <simon@HIDDEN>) id 1gs1Jy-0003cD-PZ
 for Bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2019 03:15:40 -0500
Received: from n8.nabble.com (localhost [127.0.0.1])
 by n8.nabble.com (Postfix) with ESMTP id B82A3DA8BE2
 for <Bug-gnu-emacs@HIDDEN>; Fri,  8 Feb 2019 01:15:35 -0700 (MST)
Date: Fri, 8 Feb 2019 01:15:35 -0700 (MST)
From: simonjgeorge <simon@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1549613735638-0.post@HIDDEN>
In-Reply-To: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Mac OS X  [generic] [fuzzy]
X-Received-From: 162.253.133.72
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Interestingly this bug disappears when you enable Emacs in
 Accessibility under Security and Privacy in System Preferences. -- Sent from:
 http://emacs.1067599.n8.nabble.com/Emacs-Bugs-f3.html 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: nabble.com]
 1.3 URI_HEX                URI: URI hostname has long hexadecimal sequence
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Feb 2019 10:40:27 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Interestingly this bug disappears when you enable Emacs in Accessibility
under Security and Privacy in System Preferences.



--
Sent from: http://emacs.1067599.n8.nabble.com/Emacs-Bugs-f3.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 17 Nov 2018 17:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 17 12:19:22 2018
Received: from localhost ([127.0.0.1]:58110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gO4Fe-0006yE-DU
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2018 12:19:22 -0500
Received: from mail-lj1-f178.google.com ([209.85.208.178]:42366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <originalomari@HIDDEN>) id 1gO4Fc-0006y1-Jv
 for 32864 <at> debbugs.gnu.org; Sat, 17 Nov 2018 12:19:21 -0500
Received: by mail-lj1-f178.google.com with SMTP id l15-v6so14734534lja.9
 for <32864 <at> debbugs.gnu.org>; Sat, 17 Nov 2018 09:19:20 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=PEiFXF3eZOQA1p8QdtpPp46CeX9zghMOSMrLnmHor2k=;
 b=ncY+Q1oLWT1UQHy23qd+WkSkEdOT9rO5YrBArPkqzGHLgdA6cgKAs8MsQun8+FmxF+
 OsAhyRQ4OGAYl1KHV7UQlHDqPjBXMUtLTgfBHttGlipmZns1i9pzzHL0Ii2otGFIt02Y
 gcZ/qY2viVCVtmYRhrDwGUgTn7OoPK4ZRnHvBXthiAFUBCR4TTltPFHdnLSd/ZOXbgW1
 bX6GRFSoL2sL6S5n6HVv7cWb9sAJlseQXJGJcx20bCWNhvjueC7ZaxpSRAxpmO5UC1uF
 0L/Lb31N5p3B+ZTXOfFpZDehTEIBU/mt8+zaaFUGBTxZnaasVXD/gjRd8iibhS+4t78Y
 Invg==
X-Gm-Message-State: AGRZ1gLBUZXV+G/f+xSY4oWhkNFEBqGh/TzNADuUFGpezyWGiF6Z/lEs
 is4y+gxrtN7WaTYqcxq+3h2bcbSMwwz4hXUcSHfnXw==
X-Google-Smtp-Source: AJdET5cr/ypPVTRtnRXUGJcDVJcoeBZH3v3iap1M/PUXQ7HOIODv6vcd4Jw9/o8ihN4+iAYmoTQTWBp5/PfsE08O/bQ=
X-Received: by 2002:a2e:92ca:: with SMTP id
 k10-v6mr8056486ljh.63.1542475154429; 
 Sat, 17 Nov 2018 09:19:14 -0800 (PST)
MIME-Version: 1.0
References: <CAL2jp57bxTmq3tEMm_TBYy_6pL6smp0ZsS=t=KY4OJ2r_b8czw@HIDDEN>
In-Reply-To: <CAL2jp57bxTmq3tEMm_TBYy_6pL6smp0ZsS=t=KY4OJ2r_b8czw@HIDDEN>
From: Omari Norman <omari@HIDDEN>
Date: Sat, 17 Nov 2018 12:19:02 -0500
Message-ID: <CAL2jp56NsfVeoBDweNCP-iydnHmvJkJ5y4qD0drJSwibQjcABg@HIDDEN>
Subject: Re: Run from Terminal
To: 32864 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000a79a5e057adf7b6b"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 32864
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--000000000000a79a5e057adf7b6b
Content-Type: text/plain; charset="UTF-8"

To clarify, when I run from the Terminal, it still launches GUI Emacs (not
terminal Emacs.)

On Sat, Nov 17, 2018 at 12:15 PM Omari Norman <omari@HIDDEN>
wrote:

> I had this same problem using either Emacs 26 from emacsforosx.com or
> Emacs 27 compiled using MacPorts.
>
> By happenstance I discovered this problem does not exist if I run Emacs
> from the Terminal (by running the executable).  The problem does exist if I
> use "open" from the command line, if I run using Spotlight, or if I run it
> from the Finder.
>

--000000000000a79a5e057adf7b6b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">To clarify, when I run from the Terminal, it still launche=
s GUI Emacs (not terminal Emacs.)</div><br><div class=3D"gmail_quote"><div =
dir=3D"ltr">On Sat, Nov 17, 2018 at 12:15 PM Omari Norman &lt;<a href=3D"ma=
ilto:omari@HIDDEN">omari@HIDDEN</a>&gt; wrote:<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">I had this same problem =
using either Emacs 26 from <a href=3D"http://emacsforosx.com" target=3D"_bl=
ank">emacsforosx.com</a> or Emacs 27 compiled using MacPorts.<div><br></div=
><div>By happenstance I discovered this problem does not exist if I run Ema=
cs from the Terminal (by running the executable).=C2=A0 The problem does ex=
ist if I use &quot;open&quot; from the command line, if I run using Spotlig=
ht, or if I run it from the Finder.</div></div>
</blockquote></div>

--000000000000a79a5e057adf7b6b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 17 Nov 2018 17:15:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 17 12:15:58 2018
Received: from localhost ([127.0.0.1]:58106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gO4CL-0006se-UB
	for submit <at> debbugs.gnu.org; Sat, 17 Nov 2018 12:15:58 -0500
Received: from mail-lj1-f175.google.com ([209.85.208.175]:35585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <originalomari@HIDDEN>) id 1gO4CJ-0006sQ-Vs
 for 32864 <at> debbugs.gnu.org; Sat, 17 Nov 2018 12:15:56 -0500
Received: by mail-lj1-f175.google.com with SMTP id x85-v6so22957246ljb.2
 for <32864 <at> debbugs.gnu.org>; Sat, 17 Nov 2018 09:15:55 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=pIRNO9G1f7um/IpWLpa0yjzU+JBwigoGPHBGMulH/GU=;
 b=dY02gCziRWzE9X1uUZt2VnfkVZpDCmmkeBdT7LSJ3rs7A6cn3vJ7C/GxfAocpczaSd
 YyluTUNpOrEXJBw4qpothJbP1zi0psZJEXKO1NpBnSCkJj1k6ot4g5+BLoBeAutBqzcz
 JsrV1yo7v/cZ+Ut6gekhI/c5iEgBr3pYxZdRftH6wuhNQafNSlGHrL9uESHleMaV8bUF
 tg1Jg83JsgrxhGqDEr27ZWaoVfycV1bWjsB436DdWgoJmEpASl6pUvH+HH4Xc+G5aCbq
 Zdtuqq3GOsOzxF9oU0NqKmkDKhXq7mOqFR4yV/1HKjsMyQTkv0t3wlxhjfPOFK+hRYpS
 wkiw==
X-Gm-Message-State: AGRZ1gL0hf76vE+EL7fZqyohwFeTiU1T86/al9RDe6QjvboVWQHKc60M
 S7HDitwLotCkq+noA4EPOTZfw6HB6XYuM5JQhpbplg==
X-Google-Smtp-Source: AJdET5cqbQW9xB+9ZoXcq/Q+L+GbDSjdDjS/A655DeciC3D3sA5K9Szmewqmhq8FFXN4rSmUKiVzwU2s6X/YsU9+0WI=
X-Received: by 2002:a2e:91d1:: with SMTP id
 u17-v6mr8349208ljg.160.1542474949452; 
 Sat, 17 Nov 2018 09:15:49 -0800 (PST)
MIME-Version: 1.0
From: Omari Norman <omari@HIDDEN>
Date: Sat, 17 Nov 2018 12:15:38 -0500
Message-ID: <CAL2jp57bxTmq3tEMm_TBYy_6pL6smp0ZsS=t=KY4OJ2r_b8czw@HIDDEN>
Subject: Run from Terminal
To: 32864 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000006fe89e057adf6ffb"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 32864
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--0000000000006fe89e057adf6ffb
Content-Type: text/plain; charset="UTF-8"

I had this same problem using either Emacs 26 from emacsforosx.com or Emacs
27 compiled using MacPorts.

By happenstance I discovered this problem does not exist if I run Emacs
from the Terminal (by running the executable).  The problem does exist if I
use "open" from the command line, if I run using Spotlight, or if I run it
from the Finder.

--0000000000006fe89e057adf6ffb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I had this same problem using either Emacs 26 from <a href=
=3D"http://emacsforosx.com">emacsforosx.com</a> or Emacs 27 compiled using =
MacPorts.<div><br></div><div>By happenstance I discovered this problem does=
 not exist if I run Emacs from the Terminal (by running the executable).=C2=
=A0 The problem does exist if I use &quot;open&quot; from the command line,=
 if I run using Spotlight, or if I run it from the Finder.</div></div>

--0000000000006fe89e057adf6ffb--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 4 Oct 2018 18:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 04 14:35:23 2018
Received: from localhost ([127.0.0.1]:37023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g88T4-0003Wa-Uv
	for submit <at> debbugs.gnu.org; Thu, 04 Oct 2018 14:35:23 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:38230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1g88T3-0003WL-Da
 for 32864 <at> debbugs.gnu.org; Thu, 04 Oct 2018 14:35:21 -0400
Received: by mail-wm1-f47.google.com with SMTP id 193-v6so9976676wme.3
 for <32864 <at> debbugs.gnu.org>; Thu, 04 Oct 2018 11:35:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=Hx882zHEgU7yldujt5oOHnbzUOJyQKkMdCZNSbiHZSE=;
 b=mBOmNfJf4XKoSMxQQr4C8gDjwgBYQzjT/WZ+MgXWWKyL++A0pxOOcQ1Y040naThpX3
 /23w19zHLEvzHIHR6ZzQM5t8CgRVx8pMTb0L3TIYzHMGZivt8NBdUtJA//13wLQ3O8ld
 l0IUzuaNRFPVm7nTS4YGTaSbHZsh7fKPuxwQ5yS3HPcM8MIIbt28cSwobzprVL3q5mN8
 OeoU6Vw1izgB0fO+j8UbbSRGoQ8BYZe0Foy5hmbA7PJl4VEOj7g/tjEKSxP/0/Ki9wZ8
 5k/T/2HzD6GtNxH+Xu/N0Eiz+fiE0KJr7E737iqQS2RzY/Xco9cFm51B/zw1cHLKpuWC
 xd3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=Hx882zHEgU7yldujt5oOHnbzUOJyQKkMdCZNSbiHZSE=;
 b=tjzG2ceVZL8DfKtB9MW0s1AjN/efeEslwggv2I7PtSSLDBJfG/VVkMpZDFXzlwdLpR
 9ME3MDF+p31dMheDCbj60JpSISmVx2pRIHFPnbNENeLckYNGqNBxE/OnilOavOsdmMG0
 k21C5Mo7ESIpmbVfedOKnkZQ9miQHFvRJlg2MeRanTp8on+lvIbmJuJLQR0599A72o3S
 mpJU+9etYRMwVOOnfz2k1izGLMXJXw9mqYtenIRGUGa5SlOeHMNJupyLgaLVViCZlJDV
 MW9XInWPygT08Zz7/eWk7aD3i+qfSJIEJze0jIM45f7+KqgKus0ZiewmdmMOkzgvzY14
 Hnfg==
X-Gm-Message-State: ABuFfoi8um3IMUksPhFXV11H9KuRxfjC7KolfSwUj+wS1y/HphjIe8md
 XJM9YQEhIPscTan9VMLBm/4=
X-Google-Smtp-Source: ACcGV63rz/EDZ0l7A49/gTxEZXGCjl+Hlfw0DR1KpszDS3SH5qvdUAaRhosGwXGCrUE2k3F8KgPSPA==
X-Received: by 2002:a1c:9355:: with SMTP id
 v82-v6mr5483778wmd.128.1538678115614; 
 Thu, 04 Oct 2018 11:35:15 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-ed2c-4f7b-d8aa-3675.holly.idiocy.org.
 [2001:8b0:3f8:8129:ed2c:4f7b:d8aa:3675])
 by smtp.gmail.com with ESMTPSA id g8-v6sm3358927wmf.45.2018.10.04.11.35.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 04 Oct 2018 11:35:14 -0700 (PDT)
Date: Thu, 4 Oct 2018 19:35:12 +0100
From: Alan Third <alan@HIDDEN>
To: Artemio =?iso-8859-1?Q?Gonz=E1lez_L=F3pez?= <artemiog@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20181004183512.GB5667@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
 <20180928194054.GC53073@HIDDEN>
 <831B596E-F525-41BF-913D-4A976BABBBB0@HIDDEN>
 <20180928194940.GE53073@HIDDEN>
 <A19BA2E9-A35F-4AD3-9527-EEF604AE17D5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <A19BA2E9-A35F-4AD3-9527-EEF604AE17D5@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Mon, Oct 01, 2018 at 03:12:59PM +0200, Artemio González López wrote:
> 
> I just compiled Emacs.app 26.1 on my own, and it has exactly the
> same problem. To be more precise, what seems to happen is that the
> first click on a menu title does nothing, and the second one drops
> the menu down. For instance, if you click on the File menu nothing
> happens, but if you then click on the Buffer menu it drops down
> normally. Thus, clicking twice on a menu drops it down. Strangely
> enough, the Emacs menu is an exception, since it works correctly
> (drops down after one click).

Hmm, that doesn’t surprise me a whole lot. IIRC the Emacs menu is
different from the others as it’s not built from elisp, it’s
hard‐coded. I suspect what’s happening is that when you click a menu
the first time it is ‘rebuilt’, and in old versions of macOS it then
opened, however for whatever reason it’s just rebuilding and not
opening in Mojave. The second click doesn’t need to rebuild it because
it’s not ‘changed’, so it just opens.

I’ve no idea why the menus are handled this way. Perhaps it’s normal,
but it seems odd to me. I’d think you’d build the whole menu when it
changed rather than when you try to open them. Perhaps it’s a
performance enhancement.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 1 Oct 2018 13:13:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 01 09:13:12 2018
Received: from localhost ([127.0.0.1]:60876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6y0d-0001U1-Jz
	for submit <at> debbugs.gnu.org; Mon, 01 Oct 2018 09:13:11 -0400
Received: from st11p00im-asmtp001.me.com ([17.172.80.95]:56084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <artemiog@HIDDEN>) id 1g6y0b-0001Tk-JK
 for 32864 <at> debbugs.gnu.org; Mon, 01 Oct 2018 09:13:10 -0400
Received: from process-dkim-sign-daemon.st11p00im-asmtp001.me.com by
 st11p00im-asmtp001.me.com
 (Oracle Communications Messaging Server 8.0.2.2.20180531 64bit (built May 31
 2018)) id <0PFX0080085ZR600@HIDDEN> for
 32864 <at> debbugs.gnu.org; Mon, 01 Oct 2018 13:13:04 +0000 (GMT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=04042017;
 t=1538399584; bh=q+SNb4ZypojlOPiLDAaCP3Z+h9EFZ+3/e+xJrq9SFPU=;
 h=From:Message-id:Content-type:MIME-version:Subject:Date:To;
 b=qwRRMGe9FfECbpeYtllNXrT9wOvV716WcUBMBMmzCN32D41eYsvZlMR9WySrSUolz
 LHBbjCMURVGDnuKv/PNLQ5y8ZwzPGhxyrVD9cuDgNhBFVOvIymZ1WCcp4FDw1Fti4t
 2uEm9XzsCyur/f2FNjoWi1ounF1d4ONDgMRkdql1YwIeKmds/FAkUEuvRwkzLKp0bw
 dJp2A2w4T/0vMA3r/ZxS4Z6kO3VkmO54J2XJY3+TTMIKTdSIi0jkFlEiHkRkyiFVTp
 azB/R6iTwg+bVGrehHrznvufh7n1VOWKIn76r/rmBR1T1eeZkgzQ4BC1qn9GNB7jwJ
 jBcAU3ByJFWjg==
Received: from icloud.com ([127.0.0.1]) by st11p00im-asmtp001.me.com
 (Oracle Communications Messaging Server 8.0.2.2.20180531 64bit (built May 31
 2018)) with ESMTPSA id <0PFX00NPU8PN2I20@HIDDEN>; Mon,
 01 Oct 2018 13:13:02 +0000 (GMT)
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0 phishscore=0 bulkscore=0 spamscore=0
 clxscore=1011 mlxscore=0
 mlxlogscore=735 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810010131
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:,,
 definitions=2018-10-01_08:,, signatures=0
From: =?utf-8?Q?Artemio_Gonz=C3=A1lez_L=C3=B3pez?= <artemiog@HIDDEN>
Message-id: <A19BA2E9-A35F-4AD3-9527-EEF604AE17D5@HIDDEN>
Content-type: multipart/alternative;
 boundary="Apple-Mail=_3A20DC4C-1254-4AF0-A3E8-E1FACD2B6132"
MIME-version: 1.0 (Mac OS X Mail 12.0 \(3445.100.39\))
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Date: Mon, 01 Oct 2018 15:12:59 +0200
In-reply-to: <20180928194940.GE53073@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
 <20180928194054.GC53073@HIDDEN>
 <831B596E-F525-41BF-913D-4A976BABBBB0@HIDDEN>
 <20180928194940.GE53073@HIDDEN>
X-Mailer: Apple Mail (2.3445.100.39)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_3A20DC4C-1254-4AF0-A3E8-E1FACD2B6132
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> On Sep 28, 2018, at 9:49 PM, Alan Third <alan@HIDDEN> wrote:
>=20
> On Fri, Sep 28, 2018 at 09:43:55PM +0200, Artemio Gonz=C3=A1lez L=C3=B3p=
ez wrote:
>>=20
>>> On Sep 28, 2018, at 9:40 PM, Alan Third <alan@HIDDEN> wrote:
>>>=20
>>> On Fri, Sep 28, 2018 at 07:40:31PM +0200, Artemio Gonz=C3=A1lez =
L=C3=B3pez wrote:
>>>>=20
>>>> Emacs 26.1 menus don=E2=80=99t work correctly in macOS 10.14 Mojave =
(just
>>>> released this week). More, precisely, to make a menu drop down you
>>>> have to click twice on the corresponding menu title (except for the
>>>> Emacs menu!). If you just click once nothing happens, but if you
>>>> click a second time on a different menu that menu drops down.
>>>>=20
>>>>=20
>>>> In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS
>>>> appkit-1348.17 Version 10.10.5 (Build 14F2511)) of 2018-05-31 built
>>>> on builder10-10.porkrind.org
>>>=20
>>> Thanks for the report. I wonder if this is specific to the
>>> emacsformacosx.com builds or if a native 10.14 build would do the =
same
>>> thing...?
>>>=20
>>> Is there any chance you could build emacs 26 yourself to check? Or =
if
>>> anyone else with 10.14 can confirm, that would be great.
>>>=20
>>> The NS menus seem to be a bit kludgy, so they=E2=80=99re probably =
due for a
>>> bit of refactoring anyway.
>>=20
>> Hi, Alan,
>>=20
>> I=E2=80=99ll try to build Emacs.app myself. In the meantime, I can =
confirm
>> that 1) I=E2=80=99ve had the problem with at least two builds of =
Emacs
>> (Macport=E2=80=99s and Emacs for Mac OS X), and 2) a colleague of =
mine at
>> work who just installed Mojave has had the same problem with the
>> same builds of Emacs.
>=20
> Thanks. Let know how it goes.
>=20
> BTW, please leave the bug tracker email address in so your email
> doesn=E2=80=99t get lost.
> --=20
> Alan Third

Hi, Alan,

I just compiled Emacs.app 26.1 on my own, and it has exactly the same =
problem. To be more precise, what seems to happen is that the first =
click on a menu title does nothing, and the second one drops the menu =
down. For instance, if you click on the File menu nothing happens, but =
if you then click on the Buffer menu it drops down normally. Thus, =
clicking twice on a menu drops it down. Strangely enough, the Emacs menu =
is an exception, since it works correctly (drops down after one click).

Thanks a lot for your help,

Artemio


Artemio Gonzalez Lopez
artemiog@HIDDEN


--Apple-Mail=_3A20DC4C-1254-4AF0-A3E8-E1FACD2B6132
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><br =
class=3D""><div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On Sep 28, 2018, at 9:49 PM, Alan Third &lt;<a =
href=3D"mailto:alan@HIDDEN" class=3D"">alan@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><div class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">On Fri, Sep 28, 2018 at =
09:43:55PM +0200, Artemio Gonz=C3=A1lez L=C3=B3pez wrote:</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" =
class=3D""><blockquote type=3D"cite" style=3D"font-family: Helvetica; =
font-size: 16px; font-style: normal; font-variant-caps: normal; =
font-weight: normal; letter-spacing: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-size-adjust: auto; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><br =
class=3D""><blockquote type=3D"cite" class=3D"">On Sep 28, 2018, at 9:40 =
PM, Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt; wrote:<br class=3D""><br class=3D"">On =
Fri, Sep 28, 2018 at 07:40:31PM +0200, Artemio Gonz=C3=A1lez L=C3=B3pez =
wrote:<br class=3D""><blockquote type=3D"cite" class=3D""><br =
class=3D"">Emacs 26.1 menus don=E2=80=99t work correctly in macOS 10.14 =
Mojave (just<br class=3D"">released this week). More, precisely, to make =
a menu drop down you<br class=3D"">have to click twice on the =
corresponding menu title (except for the<br class=3D"">Emacs menu!). If =
you just click once nothing happens, but if you<br class=3D"">click a =
second time on a different menu that menu drops down.<br class=3D""><br =
class=3D""><br class=3D"">In GNU Emacs 26.1 (build 1, =
x86_64-apple-darwin14.5.0, NS<br class=3D"">appkit-1348.17 Version =
10.10.5 (Build 14F2511)) of 2018-05-31 built<br class=3D"">on <a =
href=3D"http://builder10-10.porkrind.org" =
class=3D"">builder10-10.porkrind.org</a><br class=3D""></blockquote><br =
class=3D"">Thanks for the report. I wonder if this is specific to the<br =
class=3D""><a href=3D"http://emacsformacosx.com" =
class=3D"">emacsformacosx.com</a> builds or if a native 10.14 build =
would do the same<br class=3D"">thing...?<br class=3D""><br class=3D"">Is =
there any chance you could build emacs 26 yourself to check? Or if<br =
class=3D"">anyone else with 10.14 can confirm, that would be great.<br =
class=3D""><br class=3D"">The NS menus seem to be a bit kludgy, so =
they=E2=80=99re probably due for a<br class=3D"">bit of refactoring =
anyway.<br class=3D""></blockquote><br class=3D"">Hi, Alan,<br =
class=3D""><br class=3D"">I=E2=80=99ll try to build Emacs.app myself. In =
the meantime, I can confirm<br class=3D"">that 1) I=E2=80=99ve had the =
problem with at least two builds of Emacs<br class=3D"">(Macport=E2=80=99s=
 and Emacs for Mac OS X), and 2) a colleague of mine at<br class=3D"">work=
 who just installed Mojave has had the same problem with the<br =
class=3D"">same builds of Emacs.<br class=3D""></blockquote><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">Thanks. Let know how it =
goes.</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 16px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 16px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 16px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">BTW, please =
leave the bug tracker email address in so your email</span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">doesn=E2=80=99t get =
lost.</span><br style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 16px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none;" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); font-family: =
Helvetica; font-size: 16px; font-style: normal; font-variant-caps: =
normal; font-weight: normal; letter-spacing: normal; text-align: start; =
text-indent: 0px; text-transform: none; white-space: normal; =
word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration: =
none; float: none; display: inline !important;" class=3D"">--<span =
class=3D"Apple-converted-space">&nbsp;</span></span><br =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none;" class=3D""><span =
style=3D"caret-color: rgb(0, 0, 0); font-family: Helvetica; font-size: =
16px; font-style: normal; font-variant-caps: normal; font-weight: =
normal; letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; text-decoration: none; float: none; =
display: inline !important;" class=3D"">Alan =
Third</span></div></blockquote><br class=3D""></div><div>Hi, =
Alan,</div><div><br class=3D""></div><div>I just compiled Emacs.app 26.1 =
on my own, and it has exactly the same problem. To be more precise, what =
seems to happen is that the first click on a menu title does nothing, =
and the second one drops the menu down. For instance, if you click on =
the File menu nothing happens, but if you then click on the Buffer menu =
it drops down normally. Thus, clicking twice on a menu drops it down. =
Strangely enough, the Emacs menu is an exception, since it works =
correctly (drops down after one click).</div><div><br =
class=3D""></div><div>Thanks a lot for your help,</div><div><br =
class=3D""></div><div>Artemio</div><div><br class=3D""></div><br =
class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 16px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">Artemio Gonzalez Lopez<br class=3D""><a =
href=3D"mailto:artemiog@HIDDEN" class=3D"">artemiog@HIDDEN</a></div>

</div>
<br class=3D""></body></html>=

--Apple-Mail=_3A20DC4C-1254-4AF0-A3E8-E1FACD2B6132--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 28 Sep 2018 19:49:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 28 15:49:40 2018
Received: from localhost ([127.0.0.1]:57996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g5ylg-000236-FZ
	for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 15:49:40 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:44085)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1g5yle-00022q-Jb
 for 32864 <at> debbugs.gnu.org; Fri, 28 Sep 2018 15:49:39 -0400
Received: by mail-wr1-f44.google.com with SMTP id 63-v6so283633wra.11
 for <32864 <at> debbugs.gnu.org>; Fri, 28 Sep 2018 12:49:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=CaYXBftXpomCDnHvKDvATtzMeJyxHStHNn+TAqL66JQ=;
 b=GqModvPOsyP6e2SD5pmadt6h5VffpMafVL35GbpMJJcswFP3hAymRMwkRhjw/Dk6yU
 bp+DDqHlKEb8tBCuRm0FnmcgHuX3DgST6lpDeCEnoYhyQbh013aFH3/l0Gu9lGjf9SqY
 Pdwx4ciw0wN8+QpOTdk5tIEX0uoFK1AO9N4shmrqnMBwZJmlLcgxJQAeLPXAS4UXbHyQ
 jJd5aWrcLs4N/1HwF2wxKMjscClghZTn16V/zkww4kjkWgcR7UDZnqHIJbXU69bb8AH0
 eFtbx/RKLp61U9bA8rhNHV3J5vnLhfaz6VMt150UrJQRDJ1AbUEnorDMZ4cP2DrvtxwH
 XkTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=CaYXBftXpomCDnHvKDvATtzMeJyxHStHNn+TAqL66JQ=;
 b=XY1GlkuMEUK/k9zOthEvp6Xbj6im0nNo1RXcThT6iFtMB5eXmCRcFVM5JAh7LR/Wgt
 nOGeKPROAS+La2MCowrgqIw3Z7gNOdq7V9gT3L09PuknwiTJ6u306w/EjQNsZyUCabU3
 Ao3qHJiyKUzq6PbPuGf8hEL0mt23doviZmhcTAoSrhg0i+SumL1XPIAsr5Cs2kWSGCFX
 IyMN34UNvhSX3eK9pTpTETNO1bXC3rwDmzT+I4uv9hOVxKGiMkHw19aCmLLuKxkW6tEP
 +m6wNgaknU3hM2RKwfgPgNOsASisHmY2YThOzsfcRFLAdefpsHnbKXPUaA8v0//D3IMQ
 hgPQ==
X-Gm-Message-State: ABuFfoi5UVpMsud1tVhKOoYVHl0c9xmmtAnvH4+DTd5gZGL4MyM32BcA
 9Z473wBCvFW/neKY8cKfggA=
X-Google-Smtp-Source: ACcGV61FBpaByl2wqJwqvZKtvrVy8PcbP4TkX1d7S+DTysHaJg/87wDHhtwkyelm5kgCnfQHvLWTOg==
X-Received: by 2002:adf:fa84:: with SMTP id h4-v6mr98868wrr.74.1538164172763; 
 Fri, 28 Sep 2018 12:49:32 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2dbe-42ef-573b-a872.holly.idiocy.org.
 [2001:8b0:3f8:8129:2dbe:42ef:573b:a872])
 by smtp.gmail.com with ESMTPSA id p64-v6sm6756924wrc.97.2018.09.28.12.49.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 28 Sep 2018 12:49:31 -0700 (PDT)
Date: Fri, 28 Sep 2018 20:49:40 +0100
From: Alan Third <alan@HIDDEN>
To: Artemio =?iso-8859-1?Q?Gonz=E1lez_L=F3pez?= <artemiog@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20180928194940.GE53073@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
 <20180928194054.GC53073@HIDDEN>
 <831B596E-F525-41BF-913D-4A976BABBBB0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <831B596E-F525-41BF-913D-4A976BABBBB0@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Fri, Sep 28, 2018 at 09:43:55PM +0200, Artemio González López wrote:
> 
> > On Sep 28, 2018, at 9:40 PM, Alan Third <alan@HIDDEN> wrote:
> > 
> > On Fri, Sep 28, 2018 at 07:40:31PM +0200, Artemio González López wrote:
> >> 
> >> Emacs 26.1 menus don’t work correctly in macOS 10.14 Mojave (just
> >> released this week). More, precisely, to make a menu drop down you
> >> have to click twice on the corresponding menu title (except for the
> >> Emacs menu!). If you just click once nothing happens, but if you
> >> click a second time on a different menu that menu drops down.
> >> 
> >> 
> >> In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS
> >> appkit-1348.17 Version 10.10.5 (Build 14F2511)) of 2018-05-31 built
> >> on builder10-10.porkrind.org
> > 
> > Thanks for the report. I wonder if this is specific to the
> > emacsformacosx.com builds or if a native 10.14 build would do the same
> > thing...?
> > 
> > Is there any chance you could build emacs 26 yourself to check? Or if
> > anyone else with 10.14 can confirm, that would be great.
> > 
> > The NS menus seem to be a bit kludgy, so they’re probably due for a
> > bit of refactoring anyway.
> 
> Hi, Alan,
> 
> I’ll try to build Emacs.app myself. In the meantime, I can confirm
> that 1) I’ve had the problem with at least two builds of Emacs
> (Macport’s and Emacs for Mac OS X), and 2) a colleague of mine at
> work who just installed Mojave has had the same problem with the
> same builds of Emacs.

Thanks. Let know how it goes.

BTW, please leave the bug tracker email address in so your email
doesn’t get lost.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at 32864 <at> debbugs.gnu.org:


Received: (at 32864) by debbugs.gnu.org; 28 Sep 2018 19:40:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 28 15:40:55 2018
Received: from localhost ([127.0.0.1]:57978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g5ydC-0008F1-Nt
	for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 15:40:55 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:32903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1g5ydB-0008El-0C
 for 32864 <at> debbugs.gnu.org; Fri, 28 Sep 2018 15:40:53 -0400
Received: by mail-wr1-f54.google.com with SMTP id f10-v6so7565500wrs.0
 for <32864 <at> debbugs.gnu.org>; Fri, 28 Sep 2018 12:40:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=r8HmEeLuWx/RnTbFyx8JbRRMf/J65wbz4jtlCEwfTEs=;
 b=TryPegOQT8AYzZDn8oa3OqJUzcvPV2kPB43Q3014N8zi80/pjDQRN7RSq0LuUcIC1V
 CwBiQd6mB4tG1VjdN5rY7b2sc+JNXH+xFmbLnhMbtho+2JleqOnmbboRqVQwEhlQ6qNv
 7ln6lPkYvuoT+w2iMCNk0XDyTJFskdQLtBBoZaQ4zSDeTjkngyOEKDy85tM9P8V7Heyp
 6Cv+em6/QGI7o61Sd9JbdMc6s0g1s+I1Hwu/RQX/qHzNLcv18IkScrGNqy1NS3BVkwSF
 G2KxdBSXiyFcCi6Jdy04Uo2c7/N0A8MsGSfjgSy9B7lKdbXqDwZc1ExUs5TnD5ox59sg
 PWZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=r8HmEeLuWx/RnTbFyx8JbRRMf/J65wbz4jtlCEwfTEs=;
 b=ii2En827ZcoKfpWBcUpkvKY+x86FSlrdnrFoES9AznBxLtAIiI8sf1X6jBQujdhj16
 zkzPXgm8RWkMh9fhbDG5+HtlCq6pGbnbZj6a6qP3akl/ECGdeq+4bVtBC+fXqEaab2ty
 kk6PM9JxyMYB7wP/Kh7Af6LPfREPblV46xYmOXXhm39RXVHvN8X2RI+U5bh1PsMsYS0+
 rskLMU2aLJMrYbhH+ChtAMASJMkRtTwbLJv1cfZtAc4hpO2Hq5Lg4ACUrCftjKw2OMGA
 Lo8D1sZCFIzub9Rr2QMmDMu1hVGpgV4727RbaXlSzGuzIlKqnIuIje71+ZOInRHZ7l1Y
 3h/Q==
X-Gm-Message-State: ABuFfogbrqyYTqH1PC6nU0vRaaqqIGf3VZv48wfk8V4JupknH5eHmui7
 LiF3S6JVJD++03iilz77gdc=
X-Google-Smtp-Source: ACcGV63b5ZkBj5hxqvXWA+vAxUhCYsP4ezn2PDdMpXPFgdV82a0NXpl0XAQDW81sXIgo7d25QFZkQw==
X-Received: by 2002:adf:e8d2:: with SMTP id k18-v6mr79398wrn.104.1538163647152; 
 Fri, 28 Sep 2018 12:40:47 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2dbe-42ef-573b-a872.holly.idiocy.org.
 [2001:8b0:3f8:8129:2dbe:42ef:573b:a872])
 by smtp.gmail.com with ESMTPSA id w72-v6sm7802884wrc.52.2018.09.28.12.40.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 28 Sep 2018 12:40:46 -0700 (PDT)
Date: Fri, 28 Sep 2018 20:40:54 +0100
From: Alan Third <alan@HIDDEN>
To: Artemio =?iso-8859-1?Q?Gonz=E1lez_L=F3pez?= <artemiog@HIDDEN>
Subject: Re: bug#32864: 26.1; menus  don't work correctly in Mac OS Mojave
Message-ID: <20180928194054.GC53073@HIDDEN>
References: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32864
Cc: 32864 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Fri, Sep 28, 2018 at 07:40:31PM +0200, Artemio González López wrote:
> 
> Emacs 26.1 menus don’t work correctly in macOS 10.14 Mojave (just
> released this week). More, precisely, to make a menu drop down you
> have to click twice on the corresponding menu title (except for the
> Emacs menu!). If you just click once nothing happens, but if you
> click a second time on a different menu that menu drops down.
> 
> 
> In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS
> appkit-1348.17 Version 10.10.5 (Build 14F2511)) of 2018-05-31 built
> on builder10-10.porkrind.org

Thanks for the report. I wonder if this is specific to the
emacsformacosx.com builds or if a native 10.14 build would do the same
thing...?

Is there any chance you could build emacs 26 yourself to check? Or if
anyone else with 10.14 can confirm, that would be great.

The NS menus seem to be a bit kludgy, so they’re probably due for a
bit of refactoring anyway.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Sep 2018 17:42:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 28 13:42:17 2018
Received: from localhost ([127.0.0.1]:57810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g5wmP-00056k-6P
	for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 13:42:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <artemiog@HIDDEN>) id 1g5wlw-00055U-3X
 for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 13:41:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <artemiog@HIDDEN>) id 1g5wlX-0007pM-C6
 for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 13:41:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36213)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <artemiog@HIDDEN>) id 1g5wlH-0007hv-Vl
 for submit <at> debbugs.gnu.org; Fri, 28 Sep 2018 13:41:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53165)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <artemiog@HIDDEN>) id 1g5wlD-0000Nb-SB
 for bug-gnu-emacs@HIDDEN; Fri, 28 Sep 2018 13:41:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <artemiog@HIDDEN>) id 1g5wkx-0007QV-Oy
 for bug-gnu-emacs@HIDDEN; Fri, 28 Sep 2018 13:40:56 -0400
Received: from st43p00im-ztdg10061801.me.com ([17.58.63.170]:51380)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <artemiog@HIDDEN>) id 1g5wkr-0007Dn-2n
 for bug-gnu-emacs@HIDDEN; Fri, 28 Sep 2018 13:40:43 -0400
Received: from process-dkim-sign-daemon.st43p00im-ztdg10061801.me.com by
 st43p00im-ztdg10061801.me.com
 (Oracle Communications Messaging Server 8.0.2.2.20180531 64bit (built May 31
 2018)) id <0PFS00K0011S4800@HIDDEN> for
 bug-gnu-emacs@HIDDEN; Fri, 28 Sep 2018 17:40:35 +0000 (GMT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=04042017;
 t=1538156435; bh=bn9hTTwOFQQJNDfCTk4HL7S6F/bEFs09+o69maWBVmE=;
 h=From:Content-type:MIME-version:Subject:Message-id:Date:To;
 b=a9XIatR37TOyCVKKJn+RxS/d76Ihtd2WzQyNOamjlQePqXjkL1IKEpyyjWKVdYezm
 B41b3KpCMWciL/x5WBQD9eGHAAfsaUUb6RLRaAy7AeGHQ4GfpQraOXAUyT34pFA8+/
 x23ImiAGUNHxDbOXSxFveqaGOzhZWxfE7j35OHaTpW0hTrYvpjsKy1hG34zoywXUtl
 qUOje8EcCwK8MvRqG6+ddVu4jLOdkZuDnRHnr/bMOJLkwPER8PdrXNi9NKvuAtXZZx
 WPGSY01k653vW1oflBic1kZa0p+8Uh53CvHjK4TvKjLHL7OaIRTKfpIPTgTYrJFUlu
 hmx2Fpc8YaQCg==
Received: from icloud.com ([127.0.0.1]) by st43p00im-ztdg10061801.me.com
 (Oracle Communications Messaging Server 8.0.2.2.20180531 64bit (built May 31
 2018)) with ESMTPSA id <0PFS00M0313JIX40@HIDDEN> for
 bug-gnu-emacs@HIDDEN; Fri, 28 Sep 2018 17:40:34 +0000 (GMT)
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0 phishscore=0 bulkscore=0 spamscore=0
 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1809280175
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:,,
 definitions=2018-09-28_08:,, signatures=0
From: =?utf-8?Q?Artemio_Gonz=C3=A1lez_L=C3=B3pez?= <artemiog@HIDDEN>
Content-type: multipart/alternative;
 boundary="Apple-Mail=_C4C0A034-63C9-43ED-87AD-2FDA02ACE8D1"
MIME-version: 1.0 (Mac OS X Mail 12.0 \(3445.100.39\))
Subject: 26.1; menus  don't work correctly in Mac OS Mojave
Message-id: <58D0E98D-F0AC-4167-8D4F-DC6AADBCF12D@HIDDEN>
Date: Fri, 28 Sep 2018 19:40:31 +0200
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.100.39)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 28 Sep 2018 13:42:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


--Apple-Mail=_C4C0A034-63C9-43ED-87AD-2FDA02ACE8D1
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


Emacs 26.1 menus don=E2=80=99t work correctly in macOS 10.14 Mojave =
(just released this week). More, precisely, to make a menu drop down you =
have to click twice on the corresponding menu title (except for the =
Emacs menu!). If you just click once nothing happens, but if you click a =
second time on a different menu that menu drops down.


In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 =
Version 10.10.5 (Build 14F2511))
of 2018-05-31 built on builder10-10.porkrind.org
Windowing system distributor 'Apple', version 10.3.1671
Recent messages:
Ispell process killed
Starting new Ispell process aspell with castellano dictionary...
Applying style hooks...
Loading /Users/artemio/Documents/Coursework/Mecanica Clasica/MC =
18-19/Apuntes/auto/chap2-1.el (source)...done
Sorting amsthm-newtheorem...done
Removing duplicates...done
Applying style hooks...done
Compiling label environment definitions...done
Sorting environment...done
Removing duplicates...done

Configured using:
'configure --with-ns '--enable-locallisppath=3D/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US@currency=3DEUR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils reftex-parse texmathp preview prv-emacs
reftex-dcr reftex-auc reftex reftex-loaddefs reftex-vars bib-cite
flyspell ispell tex-bar toolbar-x noutline outline tex-buf font-latex
latex latex-flymake flymake-proc flymake warnings thingatpt tex-ispell
tex-style tex crm advice tex-mode compile shell pcomplete comint
ansi-color ring latexenc elec-pair paren delsel cus-start cus-load
edmacro kmacro tabbar easy-mmode session cl exec-path-from-shell
finder-inf info tex-site package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib server time-date tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 353007 11527)
(symbols 48 30848 1)
(miscs 40 124 405)
(strings 32 64041 1865)
(string-bytes 1 1753106)
(vectors 16 45257)
(vector-slots 8 850451 24934)
(floats 8 199 309)
(intervals 56 1486 189)
(buffers 992 15))


Artemio Gonzalez Lopez
artemiog@HIDDEN


--Apple-Mail=_C4C0A034-63C9-43ED-87AD-2FDA02ACE8D1
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">
<br class=3D""><div class=3D"">Emacs 26.1 menus don=E2=80=99t work =
correctly in macOS 10.14 Mojave (just released this week). More, =
precisely, to make a menu drop down you have to click&nbsp;<b =
class=3D"">twice</b>&nbsp;on the corresponding menu title (except for =
the Emacs menu!). If you just click once nothing happens, but if you =
click a second time on a different menu that menu drops down.</div><div =
class=3D""><br class=3D""></div><br class=3D"">In GNU Emacs 26.1 (build =
1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 Version 10.10.5 (Build =
14F2511))<br class=3D""> of 2018-05-31 built on <a =
href=3D"http://builder10-10.porkrind.org" =
class=3D"">builder10-10.porkrind.org</a><br class=3D"">Windowing system =
distributor 'Apple', version 10.3.1671<br class=3D"">Recent messages:<br =
class=3D"">Ispell process killed<br class=3D"">Starting new Ispell =
process aspell with castellano dictionary...<br class=3D"">Applying =
style hooks...<br class=3D"">Loading =
/Users/artemio/Documents/Coursework/Mecanica Clasica/MC =
18-19/Apuntes/auto/chap2-1.el (source)...done<br class=3D"">Sorting =
amsthm-newtheorem...done<br class=3D"">Removing duplicates...done<br =
class=3D"">Applying style hooks...done<br class=3D"">Compiling label =
environment definitions...done<br class=3D"">Sorting =
environment...done<br class=3D"">Removing duplicates...done<br =
class=3D""><br class=3D"">Configured using:<br class=3D""> 'configure =
--with-ns '--enable-locallisppath=3D/Library/Application<br class=3D""> =
Support/Emacs/${version}/site-lisp:/Library/Application<br class=3D""> =
Support/Emacs/site-lisp' --with-modules'<br class=3D""><br =
class=3D"">Configured features:<br class=3D"">NOTIFY ACL GNUTLS LIBXML2 =
ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS<br class=3D""><br =
class=3D"">Important settings:<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> value of $LANG: =
en_US@currency=3DEUR.UTF-8<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> locale-coding-system: =
utf-8-unix<br class=3D""><br class=3D"">Major mode: Fundamental<br =
class=3D""><br class=3D"">Minor modes in effect:<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> TeX-PDF-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
TeX-source-correlate-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> shell-dirtrack-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
show-paren-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> delete-selection-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
tabbar-mwheel-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> tabbar-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
tooltip-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> global-eldoc-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
electric-indent-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> mouse-wheel-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
tool-bar-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> menu-bar-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
file-name-shadow-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> global-font-lock-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
blink-cursor-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> auto-composition-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
auto-encryption-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> auto-compression-mode: =
t<br class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
buffer-read-only: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> column-number-mode: t<br =
class=3D""><span class=3D"Apple-converted-space">&nbsp;</span> =
line-number-mode: t<br class=3D""><span =
class=3D"Apple-converted-space">&nbsp;</span> transient-mark-mode: t<br =
class=3D""><br class=3D"">Load-path shadows:<br class=3D"">None =
found.<br class=3D""><br class=3D"">Features:<br class=3D"">(shadow sort =
mail-extr emacsbug message rmc puny dired dired-loaddefs<br =
class=3D"">format-spec rfc822 mml mml-sec epa derived epg gnus-util =
rmail<br class=3D"">rmail-loaddefs mm-decode mm-bodies mm-encode =
mail-parse rfc2231<br class=3D"">mailabbrev gmm-utils mailheader =
sendmail rfc2047 rfc2045 ietf-drums<br class=3D"">mm-util mail-prsvr =
mail-utils reftex-parse texmathp preview prv-emacs<br =
class=3D"">reftex-dcr reftex-auc reftex reftex-loaddefs reftex-vars =
bib-cite<br class=3D"">flyspell ispell tex-bar toolbar-x noutline =
outline tex-buf font-latex<br class=3D"">latex latex-flymake =
flymake-proc flymake warnings thingatpt tex-ispell<br class=3D"">tex-style=
 tex crm advice tex-mode compile shell pcomplete comint<br =
class=3D"">ansi-color ring latexenc elec-pair paren delsel cus-start =
cus-load<br class=3D"">edmacro kmacro tabbar easy-mmode session cl =
exec-path-from-shell<br class=3D"">finder-inf info tex-site package =
easymenu epg-config url-handlers<br class=3D"">url-parse auth-source =
cl-seq eieio eieio-core cl-macs eieio-loaddefs<br =
class=3D"">password-cache url-vars seq byte-opt gv bytecomp byte-compile =
cconv<br class=3D"">cl-loaddefs cl-lib server time-date tooltip eldoc =
electric uniquify<br class=3D"">ediff-hook vc-hooks lisp-float-type =
mwheel term/ns-win ns-win<br class=3D"">ucs-normalize mule-util =
term/common-win tool-bar dnd fontset image<br class=3D"">regexp-opt =
fringe tabulated-list replace newcomment text-mode elisp-mode<br =
class=3D"">lisp-mode prog-mode register page menu-bar rfn-eshadow =
isearch timer<br class=3D"">select scroll-bar mouse jit-lock font-lock =
syntax facemenu font-core<br class=3D"">term/tty-colors frame cl-generic =
cham georgian utf-8-lang misc-lang<br class=3D"">vietnamese tibetan thai =
tai-viet lao korean japanese eucjp-ms cp51932<br class=3D"">hebrew greek =
romanian slovak czech european ethiopic indian cyrillic<br =
class=3D"">chinese composite charscript charprop case-table epa-hook =
jka-cmpr-hook<br class=3D"">help simple abbrev obarray minibuffer =
cl-preloaded nadvice loaddefs<br class=3D"">button faces cus-face =
macroexp files text-properties overlay sha1 md5<br class=3D"">base64 =
format env code-pages mule custom widget hashtable-print-readable<br =
class=3D"">backquote kqueue cocoa ns multi-tty make-network-process =
emacs)<br class=3D""><br class=3D"">Memory information:<br =
class=3D"">((conses 16 353007 11527)<br class=3D""> (symbols 48 30848 =
1)<br class=3D""> (miscs 40 124 405)<br class=3D""> (strings 32 64041 =
1865)<br class=3D""> (string-bytes 1 1753106)<br class=3D""> (vectors 16 =
45257)<br class=3D""> (vector-slots 8 850451 24934)<br class=3D""> =
(floats 8 199 309)<br class=3D""> (intervals 56 1486 189)<br class=3D""> =
(buffers 992 15))<br class=3D"">

<br class=3D""><br class=3D""><div class=3D"">
<div style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); =
font-family: Helvetica; font-size: 16px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px; =
text-decoration: none;">Artemio Gonzalez Lopez<br class=3D""><a =
href=3D"mailto:artemiog@HIDDEN" class=3D"">artemiog@HIDDEN</a></div>

</div>

<br class=3D""></body></html>=

--Apple-Mail=_C4C0A034-63C9-43ED-87AD-2FDA02ACE8D1--




Acknowledgement sent to Artemio González López <artemiog@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32864; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.